[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: FreeType upgrade => apps linked against libttf.so need to be rebuilt



Hmmm...

>From FC5:

freetype-2.1.10-5.2.1.ppc.rpm contains:

        * libfreetype.so.6
        * libfreetype.so.6.3.8
        * libttf.so.2
        * libttf.so.2.3.0

As for "nothing in core needs freetype 1.x", that may be correct. I
encountered this issue when installing a couple of apps from "extras", 

        * gfontview-0.5.0-5.fc5.ppc.rpm
        * nagios-2.4-2.fc6.ppc.rpm


-Joseph

=====================================================================
On Tue, 2006-07-11 at 09:16 -0400, Matthias Clasen wrote:
> On Tue, 2006-07-11 at 09:13 -0400, Joseph E. Sacco, Ph.D. wrote:
> > FreeType has been upgraded from 2.1.x => 2.2.x. Freetype-2.2.x does
> > *not* contain libttf.so.  Applications that were linked against
> > libttf.so need to be rebuilt.
> > 
> 
> Just a clarification: freetype 2.1.x did not contain libttf.so either.
> But until now the freetype package included both freetype 2.x and
> freetype 1.x libraries. Since nothing in core needs freetype 1.x,
> it was dropped now.
> 
> Matthias
> 
-- 
joseph_sacco [at] comcast [dot] net


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]